@import url('https://fonts.googleapis.com/css2?family=Victor+Mono&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
}

body {
	min-height: 120vh;
	
	--primary: #38d4e2;	
}

.container {
    height: max-content;
}

header {
	width: 100%;
	height: 50dvh;
	background-size: cover;
	background-image: url('https://images.unsplash.com/photo-1523194631059-d30921cdc79a?crop=entropy&cs=srgb&fm=jpg&ixid=M3wzMjM4NDZ8MHwxfHJhbmRvbXx8fHx8fHx8fDE2OTU0NjIxMzd8&ixlib=rb-4.0.3&q=85');
	display: grid;
	place-items: center;
	text-align: center;
}
header h1 {
	font-size: 6rem;
	font-family: "Victor Mono", sans-serif;
	text-transform: uppercase;
	color: var(--primary);
	text-shadow: 1px 1px 7px rgba(0,0,0,0.2);
}
header h3 {
	font-size: 2rem;
	font-family: "Victor Mono", sans-serif;
	text-transform: uppercase;
	background-color: var(--primary);
}


section {
	width: 100%;
    height: 100vh;
    display: grid;
	place-items: center;
	background-size: cover;
	background-position: 50% 50%;
    border-bottom: 1px dotted #1c303a;
}
section h1 {
	font-family: "Victor Mono", sans-serif;
	font-size: 4rem;
	color: var(--primary);
	text-transform: uppercase;
	letter-spacing: 0.5rem;
	text-shadow: 1px 1px 8px rgba(0,0,0,0.5);
}
section:last-child() {
	border-bottom: none;
}
section#portfolio {
	background-image: url('https://images.unsplash.com/photo-1620867268520-bb2fc18e3ff4?crop=entropy&cs=srgb&fm=jpg&ixid=M3wzMjM4NDZ8MHwxfHJhbmRvbXx8fHx8fHx8fDE2OTU0NjE3NTd8&ixlib=rb-4.0.3&q=85');
}
section#press {
	background-image: url('https://images.unsplash.com/photo-1617695103171-8f9c25f014c6?crop=entropy&cs=srgb&fm=jpg&ixid=M3wzMjM4NDZ8MHwxfHJhbmRvbXx8fHx8fHx8fDE2OTU0NjE1NTd8&ixlib=rb-4.0.3&q=85');
}
section#shop {
	background-image: url('https://images.unsplash.com/photo-1612029740857-008d18486219?crop=entropy&cs=srgb&fm=jpg&ixid=M3wzMjM4NDZ8MHwxfHJhbmRvbXx8fHx8fHx8fDE2OTU0NjE5MTV8&ixlib=rb-4.0.3&q=85');
}
section#about {
	background-image: url('https://images.unsplash.com/photo-1610904329458-2512c4748c8d?crop=entropy&cs=srgb&fm=jpg&ixid=M3wzMjM4NDZ8MHwxfHJhbmRvbXx8fHx8fHx8fDE2OTU0NjIwMTJ8&ixlib=rb-4.0.3&q=85');
}

a {
	display: inline-block;
	text-align: center;
	text-decoration: none;
	text-transform: uppercase;
	font-family: "Victor Mono";
	font-size: 0.8rem;
	letter-spacing: 3px;
	color: var(--primary);
}

.nav-bar {
	height: 6em;
    width: 100%;
	display: grid;
	place-items: center;
    position: sticky;
    top: 0;
	background-color: rgba(20, 33, 40, 0.9);
}
.nav-bar nav {
	width: max-content;
	display: grid;
	grid-template-columns: repeat(4, auto);
	align-items: center;
	column-gap: 1em;
}

.nav {
	padding: 0.2em 0.4em;
	position: relative;
	filter: brightness(90%);
}

.nav span.grow {
	content: "";
	display: block;
	position: absolute;
	top: 50%;
	left: 0;
	transform: translateY(-50%);
	width: 0%;
	height: 100%;
	background-color: var(--primary);
	mix-blend-mode: difference;
	transition: width 0.2s ease-out;
}
.nav:hover span.grow {
	width: 100%;
}
.active {
	font-weight: 800;
	filter: brightness(150%);
}

.nav span.flick {
	content: "";
	display: block;
	position: absolute;
	top: 0;
	right: -5px;
	width: 3px;
	height: 3px;
	background-color: var(--primary);
	opacity: 0;
}
.nav:hover span.flick {
	animation: flicker 0.1s 0.2s infinite;
}

@keyframes flicker {
	50% {
		opacity: 1;
	}
}

@media(max-width: 500px) {
	.nav-bar {
		height: auto;
		padding: 1em;
	}
	.nav-bar nav {
		grid-template-columns: 1fr 1fr;
		row-gap: 1em;
	}
	header h1,
	section h1 {
		font-size: 3.5rem;
	}
	header h3 {
		font-size: 1.2rem;
	}
}